# Contributing

Have a fix or feature? Submit a pull request - we love them!

## Paperwork

As this is a Google project, you *must* first e-sign the [Google Contributor License Agreement](https://developers.google.com/open-source/cla/individual) before we can accept any code. It takes only a second and basically just says you won't sue us or claim copyright of your submitted code. You only need to do this once for any Google project.

## Style

We follow the Google style guides for each language used in the project. Since this code is used internally at Google we're pretty strict on this bit. See more information on the docs: [style_guide](https://github.com/google/tracing-framework/blob/master/docs/style_guide.md).

## Testing

Follow the [testing](https://github.com/google/tracing-framework/blob/master/docs/testing.md) procedures before submitting pull requests. The [Travis CI](http://travis-ci.org) bot will yell at you if you try to submit code that doesn't work.
